gNearestPoints {rgeos} | R Documentation

## Closest Points of two Geometries

### Description

Return closest points of two geometries.

### Usage

    gNearestPoints(spgeom1, spgeom2)

### Arguments

`spgeom1, spgeom2` | sp objects as defined in package sp.

### Value

The closest points of the two geometries or NULL on exception. The first point comes from spgeom1 geometry and the second point comes from spgeom2.

### Author(s)

Rainer Stuetz

### See Also

gDistance

### Examples

    g1 <- readWKT("MULTILINESTRING((34 54, 60 34), (0 10, 50 10, 100 50))")
    g2 <- readWKT("MULTIPOINT(30 0, 100 30)")
    plot(g1, pch=4, axes=TRUE)
    plot(g2, add=TRUE)
    plot(gNearestPoints(g1, g2), add=TRUE, col="red", pch=7)
    gDistance(g1, g2)

[Package rgeos version 0.5-1 Index]